Como actualizar HPLIP en Linux Slackware 14.2

Linux Slackware 14.2 actualiza hasta la versión 3.16.5 de HPLIP lo cual no sera funcional si cuentas con un impresor HP nuevo, por el momento la versión mas nueva de HPLIP es la versión 3.21.8.

Para actualizarlo habría que descargar los fuentes y como root compilarlo, para descargar el paquete fuente ve al siguiente link https://sourceforge.net/projects/hplip/files/

Luego abre una pantalla de terminal y ejecuta los siguientes comandos, sustituye la version de HPLIP segun sea tu caso, en el momento de escribir esto la versión mas nueva era la 3.21.8.

cd ~/Downloads
tar zxvf hplip-3.21.8.tar.gz
cd hplip-3.21.8
su

Si tu sistema es de 32 bits ejecuta el siguiente comando.

./configure --with-hpppddir=/usr/share/ppd/HP --prefix=/usr --enable-qt4 --disable-libusb01_build --enable-doc-build --enable-cups-ppd-install --disable-foomatic-drv-install --disable-foomatic-ppd-install --disable-hpijs-install --disable-udev_sysfs_rules --disable-policykit --disable-cups-drv-install --enable-hpcups-install --enable-network-build --enable-dbus-build --enable-scan-build --enable-fax-build

Si tu sistemas es de 64 bits ejecuta el siguiente comando.

./configure --with-hpppddir=/usr/share/ppd/HP --libdir=/usr/lib64 --prefix=/usr --enable-qt4 --disable-libusb01_build --enable-doc-build --enable-cups-ppd-install --disable-foomatic-drv-install --disable-foomatic-ppd-install --disable-hpijs-install --disable-udev_sysfs_rules --disable-policykit --disable-cups-drv-install --enable-hpcups-install --enable-network-build --enable-dbus-build --enable-scan-build --enable-fax-build
make && make install

Luego reinicia la computadora y listo!

Mas información.

https://developers.hp.com/hp-linux-imaging-and-printing/install/manual/distros/slackware

Deja un comentario

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.